aboutsummaryrefslogtreecommitdiff
path: root/academic
diff options
context:
space:
mode:
authorWilliam Waites <william.waites@strath.ac.uk>2022-11-05 13:28:47 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2022-11-05 13:28:47 +0700
commit31e7221f62e691df1b6b1da24ac2be9b589b6dbf (patch)
tree4f7f8db98243c92a9a58c490ab94d0c4eb826a9e /academic
parentecc2b5f00cc942bc62ebab9284f5590eea71248f (diff)
academic/pgfplots: Added (Tex modules).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/pgfplots/README10
-rw-r--r--academic/pgfplots/doinst.sh2
-rw-r--r--academic/pgfplots/pgfplots.SlackBuild72
-rw-r--r--academic/pgfplots/pgfplots.info10
-rw-r--r--academic/pgfplots/slack-desc19
5 files changed, 113 insertions, 0 deletions
diff --git a/academic/pgfplots/README b/academic/pgfplots/README
new file mode 100644
index 0000000000000..0a9d9bd03bf48
--- /dev/null
+++ b/academic/pgfplots/README
@@ -0,0 +1,10 @@
+pgfplots (Create normal/logarithmic plots in two and three dimensions)
+
+PGFPlots draws high-quality function plots in normal or logarithmic
+scaling with a user-friendly interface directly in TeX. The user
+supplies axis labels, legend entries and the plot coordinates for one
+or more plots and PGFPlots applies axis scaling, computes any
+logarithms and axis ticks and draws the plots, supporting line plots,
+scatter plots, piecewise constant plots, bar plots, area plots, mesh--
+and surface plots and some more.
+
diff --git a/academic/pgfplots/doinst.sh b/academic/pgfplots/doinst.sh
new file mode 100644
index 0000000000000..d33b5c7dbd32d
--- /dev/null
+++ b/academic/pgfplots/doinst.sh
@@ -0,0 +1,2 @@
+## Update LaTeX path caches.
+texhash
diff --git a/academic/pgfplots/pgfplots.SlackBuild b/academic/pgfplots/pgfplots.SlackBuild
new file mode 100644
index 0000000000000..33e5dae7b16d9
--- /dev/null
+++ b/academic/pgfplots/pgfplots.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/bash
+
+# Slackware build script for pgfplots
+
+# Copyright 2022 William Waites <william.waites@strath.ac.uk>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=pgfplots
+VERSION=${VERSION:-1.18.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+TEX=/usr/share/texmf-var
+
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/$TEX $OUTPUT
+
+cd $PKG/$TEX
+unzip $CWD/$PRGNAM.tds.zip
+chown -R root:root .
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/pgfplots/pgfplots.info b/academic/pgfplots/pgfplots.info
new file mode 100644
index 0000000000000..f126a8aa15067
--- /dev/null
+++ b/academic/pgfplots/pgfplots.info
@@ -0,0 +1,10 @@
+PRGNAM="pgfplots"
+VERSION="1.18.1"
+HOMEPAGE="http://pgfplots.sourceforge.net/"
+DOWNLOAD="https://mirrors.ctan.org/install/graphics/pgf/contrib/pgfplots.tds.zip"
+MD5SUM="2983898d1eba4029a0a20ff019a6911c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="William Waites"
+EMAIL="william.waites@strath.ac.uk"
diff --git a/academic/pgfplots/slack-desc b/academic/pgfplots/slack-desc
new file mode 100644
index 0000000000000..3fd5749562ee8
--- /dev/null
+++ b/academic/pgfplots/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pgfplots: pgfplots (Create normal/logarithmic plots in two and three dimensions)
+pgfplots:
+pgfplots:
+pgfplots: PGFPlots draws high-quality function plots in normal or logarithmic
+pgfplots: scaling with a user-friendly interface directly in TeX. The user
+pgfplots: supplies axis labels, legend entries and the plot coordinates for one
+pgfplots: or more plots and PGFPlots applies axis scaling, computes any
+pgfplots: logarithms and axis ticks and draws the plots, supporting line plots,
+pgfplots: scatter plots, piecewise constant plots, bar plots, area plots, mesh--
+pgfplots: and surface plots and some more.
+pgfplots: